summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2015-11-28 11:50:15 +0100
committerJustin Lecher <jlec@gentoo.org>2015-12-07 10:11:54 +0100
commitab53ca34df6e5df9e79b792105fa6c36cdf114f2 (patch)
tree593ba40d41bd111bf9e0178b86080b6dcb7142e3
parentvirtualx.eclass: Whitespace cleanup (diff)
downloadgentoo-ab53ca34df6e5df9e79b792105fa6c36cdf114f2.tar.gz
gentoo-ab53ca34df6e5df9e79b792105fa6c36cdf114f2.tar.bz2
gentoo-ab53ca34df6e5df9e79b792105fa6c36cdf114f2.zip
virtualx.eclass: Add missing die
Signed-off-by: Justin Lecher <jlec@gentoo.org>
-rw-r--r--eclass/virtualx.eclass5
1 files changed, 3 insertions, 2 deletions
diff --git a/eclass/virtualx.eclass b/eclass/virtualx.eclass
index 78f5429ef81c..3df3fe161f22 100644
--- a/eclass/virtualx.eclass
+++ b/eclass/virtualx.eclass
@@ -92,9 +92,10 @@ virtualmake() {
local i=0
local retval=0
local OLD_SANDBOX_ON="${SANDBOX_ON}"
- local XVFB=$(type -p Xvfb)
- local XHOST=$(type -p xhost)
+ local XVFB XHOST XDISPLAY
local xvfbargs="-screen 0 1280x1024x24"
+ XVFB=$(type -p Xvfb) || die
+ XHOST=$(type -p xhost) || die
# backcompat for maketype
if [[ -n ${maketype} ]]; then